If you're packing to go to Black Hat, Defcon or Security B-Sides in Las Vegas, make sure you also download Metasploit 4.0 to entertain you on the plane ride. If you missed the recent announcement, check out this blog post for a list of new features.

The new version is now available for all editions, and here's how you upgrade:

  • Metasploit Pro and Metasploit Express 4.0: For fresh installs, download version 4.0 of Metasploit Pro or Metasploit Express and install (to try these versions, use the same links). If you already have Metasploit Pro or Metasploit Express installed, simply go to the menu item "Administration" and choose "Software Update".
  • Metasploit Framework 4.0: For fresh installs, download version 4.0 of Metasploit Framework and install. If you already have Metasploit Framework installed, you can use the SVN update function to upgrade to version 4.0. If you selected the automatic update during the installation of 3.7.2, youre installation should already be ready to go. If not, you can use the following steps to update:

$ sudo bash
# cd /opt/framework-3.x.x/msf3/
# svn update

In case you get stuck or have any questions, make sure you visit the Rapid7 Community to find answers, tips & tricks. Alternatively, just drop by our Black Hat booth #109 and ask us directly!